{ config, pkgs, ... }:

{
  environment.shellAliases = {
    # Nix Commands
    "nix:rebuild" = "sudo nixos-rebuild switch";
    "nix:update" = "sudo nixos-rebuild switch --upgrade";
    "nix:purge" = "sudo nix-collect-garbage -d && sudo /run/current-system/bin/switch-to-configuration boot";
    "nix:edit" = "$EDITOR /etc/nixos";
    "nix:push" = "cd /etc/nixos && git add -A && git commit -m \"$(date -u +%s)\" && git push";
    "nix:pull" = "cd /etc/nixos && git pull";
    "nix:gen-hardware" = "sudo nixos-generate-config --show-hardware-config > /etc/nixos/hardware-configuration.nix";

    # Utilities
    "fixaudio" = "systemctl --user restart pipewire pipewire-pulse wireplumber";
    "nf" = "neofetch";
  };
}
